aboutsummaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2015-05-22 14:53:21 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2015-05-22 14:53:21 +0200
commit2a97a272f33b0a0ec8bffd85c61091366591aced (patch)
tree21331341f22f41a60f13ab8befa35a8ae6656155 /bootstrap
parent20e6050cc4205022368b8ed5db98d14963317ccc (diff)
Add bootstrap script, INSTALL file
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap31
1 files changed, 31 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..86dcc78
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+src="build/*.cxx build/config/*.cxx build/bin/*.cxx build/cxx/*.cxx"
+
+cxx=g++
+
+while test $# -ne 0; do
+ case $1 in
+ --help)
+ echo "Usage: $0 [--help] [--cxx <c++-compiler>]" 1>&2
+ echo "See the INSTALL file for details." 1>&2
+ exit 0
+ ;;
+ --cxx)
+ shift
+ if test $# -eq 0; then
+ echo "error: c++ compiler executable expected after --cxx" 1>&2
+ exit 1
+ fi
+ cxx=$1
+ shift
+ ;;
+ *)
+ echo "error: unknown option $1" 1>&2
+ exit 1
+ ;;
+ esac
+done
+
+echo $cxx -std=c++14 -I. -o build/b-boot $src 1>&2
+exec $cxx -std=c++14 -I. -o build/b-boot $src